Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class WriterOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--com.compoze.util.WriterOutputStream

public class WriterOutputStream
extends java.io.OutputStream

This class is an OutputStream that writes data to an underlying Writer. Bytes are converted to characters by creating a character with the most significant byte equal to zero.

Constructor Summary
`WriterOutputStream(java.io.Writer writer)` Constructor.

Method Summary
`void` | `write(byte[] b)` Write an array of bytes to the underlying writer.
`void` | `write(byte[] b, int iOffset, int iLength)` Write an array of bytes to the underlying writer.
`void` | `write(int i)` Write an int to the underlying writer.

Methods inherited from class java.io.OutputStream
`close, flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer)

  Constructor.
  Parameters:
    `writer` - the underlying writer

Method Detail

### write

    public void write(byte[] b)
               throws java.io.IOException

  Write an array of bytes to the underlying writer.
  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the array to write
  Throws:
    `java.io.IOException` - if an i/o error occurred

### write

    public void write(byte[] b,
                      int iOffset,
                      int iLength)
               throws java.io.IOException

  Write an array of bytes to the underlying writer.
  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the array to write
  Throws:
    `java.io.IOException` - if an i/o error occurred

### write

    public void write(int i)
               throws java.io.IOException

  Write an int to the underlying writer. The upper two bytes of the integer are ignored. NOTE: This differs from the general contract of java.io.OutputStream which says that the upper three bytes are ignored.
  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `i` - the integer to write
  Throws:
    `java.io.IOException` - if an i/o error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.